-- db2cmd -i db2 -tvf luwsp.sql

CONNECT TO LUWV95 USER <uid> USING <password>;

DROP PROCEDURE DB2OE.CALLDB2ADVIS;

CALL SQLJ.REMOVE_JAR ('DB2OE.CALLDB2ADVIS');

CALL SQLJ.REFRESH_CLASSES();

CALL SQLJ.INSTALL_JAR('file:///<path>/luwsp.jar','DB2OE.CALLDB2ADVIS');

CALL SQLJ.REFRESH_CLASSES();

CREATE PROCEDURE DB2OE.CALLDB2ADVIS ( INOUT major_version INTEGER,
                                INOUT minor_version INTEGER,
                                IN requested_locale VARCHAR(33),
                                IN xml_input BLOB(32M),
                                IN xml_filter BLOB(4K),
                                OUT xml_output BLOB(4K),
                                OUT xml_message BLOB(64K) )
	DYNAMIC RESULT SETS 3
	NOT DETERMINISTIC
	LANGUAGE Java
	EXTERNAL NAME 'DB2OE.CALLDB2ADVIS:com.ibm.datatools.dsoe.ia.luw.CALLDB2ADVIS.cALLDB2ADVIS'
	FENCED
	THREADSAFE
	PARAMETER STYLE JAVA;

COMMIT;
CONNECT RESET;
